Subject: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Gregory Heytings <[email-masked]>
Date: Thu, 15 Sep 2022 21:32:18 +0000

>
> Logview needs to temporarily cancel restrictions in _practically all_ 
> its function.
>

It can do so (or more precisely will be able to do so) by calling 
narrowing-unlock with the appropriate tag, which IIUC correctly is, in 
your case, 'fontification-functions.  I don't see why you would need 
anything else, especially given that a general mechanism to disable locked 
narrowing everywhere is already available for users who, like you, don't 
care about long lines.